/*
 * Copyright 2018 ConsenSys AG.
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */
package net.consensys.cava.rlpx.wire;

/**
 * A message specific to a subprotocol of the wire protocol.
 */
public interface WireSubProtocolMessage extends WireProtocolMessage {

  /**
   * @return the subprotocol associated with the message.
   */
  SubProtocolIdentifier subProtocolIdentifier();

  /**
   *
   * @return the identifier of the connection the message was exchanged on.
   */
  String connectionId();
}
